Name:		simple-update-notifier
Summary:	Simple Update Notifier

Version:	0.3.4
Release:	%mkrel 2
URL:		http://www.pclinuxos.com/
Group:		Graphical desktop/Other
License:	GPLv3
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:   pclinuxos-release
Requires:   yad
Requires:   python3
Requires:   xapps
Requires:   python3-pystray
Requires:   python3-xapps-overrides  
Requires:   apt
Requires:   xterm
Obsoletes:	%name < %version

%description
Notification icon that nests in the panel and alerts 
when updates are present for PCLinuxOS DEs

%prep

%setup -q

%make

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std



%post
%_post_service "update-notifier"

%preun
%_preun_service "update-notifier"


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_bindir/simple-notifier
%{_initrddir}/update-notifier
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%_iconsdir/hicolor/48x48/apps/simple-notifier.png
%_iconsdir/hicolor/48x48/apps/up2date.png
%_datadir/simple-notifier
%_datadir/polkit-1/actions/org.pclinuxos.update.policy

%changelog
* Sun Mar 04 2024 Ken <lxgator at gmail.com> 0.3.4-2pclos2024
- Remove trash /tmp files left over from panel icon

* Sun Mar 03 2024 Ken <lxgator at gmail.com> 0.3.4-1pclos2024
- Rewrite to adapt to wayland session





